ByCloud Docs
GuidesCLIAPISDK
get/v1/certificates/{certificate_id}

Get certificate

Get details of a specific certificate including DNS setup and bindings

Path Parameters

certificate_id

string<uuid>required

path

Certificate ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Header Parameters

X-Region

stringrequired

header

Region code to query resources from. Required for all resource operations.

Example: "sao1"

Responses

200

Certificate details

Content-Type: application/json

certificate

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
404

Resource not found

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/certificates/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

Certificate details

{
"certificate": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:sao1:certificate:certificate:550e8400-e29b-41d4-a716-446655440000",
"name": "my-certificate",
"type": "acme",
"domains": [
"example.com",
"*.example.com"
],
"status": "active",
"expires_at": "2024-01-15T10:30:00Z",
"renew_after": "2024-01-15T10:30:00Z",
"error_message": "string",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z",
"dns_setup": {
"records": [
{
"record_name": "_acme-challenge.example.com",
"record_type": "CNAME",
"record_value": "example.com.acme.bycloud.io"
}
],
"instructions": "Create the following CNAME records to validate domain ownership"
},
"bindings": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:sao1:certificate:binding:550e8400-e29b-41d4-a716-446655440000",
"certificate_id": "550e8400-e29b-41d4-a716-446655440001",
"resource_type": "octavia:listener",
"resource_id": "550e8400-e29b-41d4-a716-446655440002",
"options": {
"sni": false
},
"status": "active",
"error_message": "string",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
]
}
}